ATTENTION: This wiki is fully discontinued. Please access the new wiki at animalcrossing.indyamos.com. You can import some pages from here, but no stubs. No page can be edited expect for sysops. For more information, An Animal Crossing Wiki from Miraheze will be at a new website at animalcrossing.indyamos.com. This will be an enhanced version of this wiki. Please view Special:Diff/57616 for more information.

Animal Crossing Wiki:Yoshipedia archive/MediaWiki:Monobook.css

From Animal Crossing Wiki
Revision as of 20:07, 31 May 2025 by Gstar (talk | contribs) (links fixed)
Jump to navigationJump to search
/* All CSS here will be loaded for users of the MonoBook skin */

/* <h2> All pages </h2> */

#globalWrapper { background: none !important; }
.firstHeading { margin-top: 5px;}
p { margin: 0.6em 0 0.7em 0; }
h1 { font-size: 193%; }
h3 + dl, h4 + dl, h5 + dl {
	margin-top: -0.1em;
}

/* Default font (excluding headings and monospaced text) */
body {
  font-family: verdana;
}

/* green border */

textarea {
  border: 1px solid #001D00;
}

.mw-body, body.skin--responsive .pBody {
  border: 1px solid #001D00;
}

/* round */
#p-cactions ul li,
#p-cactions ul li a,
#p-cactions li.selected,
#p-cactions li.selected a {
	border-top-left-radius: 1em;
	border-top-right-radius: 1em;
}

select {
	color: #000;
	border: 1px solid #001D00;
}

@media all and (min-width: 551px) {
	#content {
		border-top-left-radius: 1em;
		border-bottom-left-radius: 1em;
	}
	div.pBody {
		border-top-right-radius: 1em;
		border-bottom-right-radius: 1em;
	}
	#p-cactions li {
		padding-bottom: 1em;
		border-top-left-radius: .72em !important;
		border-top-right-radius: .72em !important;
	}
	body.skin-monobook li#pt-login,
	body.skin-monobook li#pt-userpage,
	body.skin-monobook li#pt-anonuserpage {
		color: #606060;
		background: url(https://www.yoshipedia.com/w/images/User_icon.png) top left no-repeat;
		padding: 1px 0 2px 20px;
		line-height: 20px;
	}
	body.skin-monobook #p-cactions li {
		padding-bottom: 1em;
	}
	body.skin-monobook #p-personal ul {
		background: #FFFFFF;
		border-left: 1px solid #000;
		border-bottom: 1px solid #000;
	    border-bottom-left-radius: 1em;
		width: auto;
		display: inline;
		position: absolute;
		right: 0;
		padding-left: 0px;
		padding-bottom: 0px;
		margin-top: -1px;
	}
}

/* <h3> MediaWiki headings </h3> */
#content h1, 
#content h2 {
  font-family: verdana;
}

/* <h3> Interface elements </h3> */

body.skin-monobook .pBody, 
body.skin-monobook .portlet h3, 
body.skin-monobook #footer #f-list {
	font-family: verdana;
}

body.skin-monobook #p-personal a.new {
	color: #f00;
}
body.skin-monobook #p-personal a.new:visited {
	color: #c00;
}

#siteNotice {
	border-top: 2px solid #ccc;
	border-bottom: 2px solid #ccc;
	padding: 3px 2px 2px 2px;
	margin: -2px 0 11px;
}

#localNotice { margin: 0; }
#localNotice hr { background: #ccc; }

body.skin-monobook input.searchButton {
	color: #000;
	cursor: pointer;
	background-color: #fff;
	border: 1px solid #2f6fab;
	padding: 0 0.4em !important;
}
body.skin-monobook #searchButton,
body.skin-monobook #searchGoButton {
	font-weight: normal;
}
body.skin-monobook #searchInput {
	border: 1px solid #2f6fab;
	padding-right: 0;
}

input[type="radio"], 
input[type="checkbox"] {
	border: none;
}

select {
	color: #000;
	border: 1px solid #2f6fab;
}

.suggestions-result-current {
  background-color: #4b8d2a;
}

body.skin-monobook #p-cactions {
	left: 11.7em;
}

body.skin-monobook .portlet {
	width: 11.8em;
}

body.skin-monobook #p-personal li a {
	color: #00f;
}

body.skin-monobook #p-personal li a:hover {
	background-color: transparent;
	text-decoration: underline;
}

body.skin-monobook #p-cactions li a {
	color: #00c;
}
body.skin-monobook #p-cactions .new a {
	color: #c00;
}

body.skin-monobook li#pt-betafeatures {
    display:none;
}

body.skin-monobook .pBody {
	z-index: 3 !important;
}

/* <h3> Page content </h3> */

/* Fix footer spacing */
body.skin-monobook #f-list {
	line-height: 17px;
}

/* Indicator icons */
.mw-indicators {
	top: -10px;
}
.anon .mw-indicators {
	top: -5px;
}
#mw-indicator-shortcut {
	top: 16px;
}

/* Multimedia viewer */
.mw-mmv-reuse-dialog .mw-mmv-reuse-tabs .oo-ui-iconedElement-icon.oo-ui-icon-check,
.mw-mmv-reuse-dialog .mw-mmv-reuse-tabs .oo-ui-iconElement-icon.oo-ui-icon-check {
	display: none !important;
}

/* put search bar up top */
#sidebar {
    display: flex;
    flex-direction: column;
}
#p-search {
    order: -1;
}

/* thumbinner */
div.thumbinner {
    color: black;
    border: 1px solid #ccc;
    padding: 3px !important;
    background-color: #f9f9f9;
    font-size: 94%;
    text-align: center;
    overflow: hidden;
    margin: 0.5em 1.4em 1.3em 0;
}

/* Echo extension */
#pt-notifications-notice .mw-echo-notifications-badge.oo-ui-widget, #pt-notifications-alert .mw-echo-notifications-badge.oo-ui-widget,
#pt-notifications-notice .mw-echo-notifications-badge, #pt-notifications-alert .mw-echo-notifications-badge {
	height: 16px;
    top: 0px;
}

/* Tab images */

li#ca-nstab-main > a,
li#ca-talk > a,
li#ca-nstab-image > a,
li#ca-nstab-category > a,
li#ca-nstab-foro > a {
 background:#fff url('https://www.yoshipedia.com/w/images/MonobookSprite.png') no-repeat;
 padding-right:25px !important;
 padding-left:10px !important;
}
	
li#ca-nstab-main > a {background-position:right 0px;}
li#ca-talk > a {background-position:right -24px;}
li#ca-nstab-image > a {background-position:right -48px;}
li#ca-nstab-category > a {background-position:right -72px;}
li#ca-nstab-foro > a {background-position:right -96px;}
	
li#ca-edit > a,
li#ca-history > a,
li#ca-delete > a,
li#ca-move > a,
li#ca-protect > a, li#ca-unprotect > a,
li#ca-watch > a, li#ca-unwatch > a,
li#ca-listing-refresh-tab > a {
		background-image:url('https://www.yoshipedia.com/w/images/MonobookSprite.png');
		background-repeat:no-repeat;
		padding-right:7px !important;
		padding-left:22px !important;
}

li#ca-edit > a {background-position:left -120px;}
li#ca-history > a {background-position:left -144px;}
li#ca-delete > a {background-position:left -168px;}
li#ca-move > a {background-position:left -192px;}
li#ca-protect > a, li#ca-unprotect > a {background-position:left -216px;}
li#ca-watch > a, li#ca-unwatch > a {background-position:left -240px;}
li#ca-listing-refresh-tab > a {background-position:left -264px;}

body.skin--responsive #p-cactions ul { line-height: 1.8em; }
body.skin--responsive li#ca-talk { margin-right: .7em; }

.mw-editsection-bracket { display:none; }
#bodyContent .mw-editsection a {
	background: url('https://www.yoshipedia.com/w/images/MonobookSprite.png') no-repeat 2px -118px;
	color:#191509;
	text-decoration:none;
	padding:5px 10px 3px 25px;
	font-size:90%;
}

#bodyContent .mw-editsection a:hover, body.skin--responsive #p-cactions li a:hover {
  text-decoration: underline;
}

body.skin--responsive #p-cactions li a { z-index: 3; }